QGIS Application - Bug report #11205
Extract_raster_values_to_CSV.py raises exception - 'Dataset’ object has no attribute 'mapToPixel’
2014-09-14 05:58 PM - Luke Pinner

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19515
Description

Per this GISSE question - http://gis.stackexchange.com/a/113784/2856 - there appears to be a small bug in
Extract_raster_values_to_CSV.py which causes an error - 'Dataset’ object has no attribute 'mapToPixel'.

Untested fix should be just to replace ‘raster.mapToPixel” with ‘'mapToPixel on line 88 of
/python/plugins/processing/script/scripts/Extract_raster_values_to_CSV.py

History

#1 - 2014-09-14 09:04 PM - Victor Olaya
- Assignee changed from Victor Olaya to Alexander Bruy

#2 - 2014-09-15 01:30 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from Open to Closed

#3 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
